Subject: Bug#884: [X2Go-Dev] Bug#884: Bug#884: Bug#884: Bug#884: Bug#884: nxagent aborts session with 'Could not open default font 'fixed''

From: devsk <[email-masked]>
Date: Wed, 2 Sep 2015 01:32:56 +0000 (UTC)

I finally decoded this issue. I can't believe it. The reason why its not able to load the default font and default cursor was that language specific fonts were missing from the /usr/share/fonts/misc folder. Those are missing because I have '-nls' in my global USE flags.

I had to spin up an Ubuntu 14.04 VM to figure this out...:) This is a packaging bug. nx package on Gentoo should force the 'nls' USE flag on media-fonts/font-misc-misc because without that nxagent is completely broken. I wonder how Xorg and Xvnc are fine without those! May be there is legacy code in nxagent which needs removal...:)

Thanks for all the help everyone! It was a pleasure dealing with you all. I hope the x2go community flourishes more and more everyday!
-devsk